package com.hammurapi.common.concurrent;

public class StringSubSet extends AbstractSubSet<String> {

	private String separator;

	protected StringSubSet(PropertySet<String> master, String prefix) {
		this(master, prefix, "/");
	}

	protected StringSubSet(PropertySet<String> master, String prefix, String separator) {
		super(master, prefix);
		this.separator = separator;
	}

	@Override
	protected String buildPath(String prefix, String key) {
		return prefix+separator+key;
	}

	@Override
	public PropertySet<String> createVersion() {
		throw new UnsupportedOperationException();
	}

}
